

#include <Wire.h>
#include "BMP085.h"

BMP085 bmp085;

void setup()
{
  Wire.begin();        // join i2c bus (address optional for master)
  bmp085.init();
  Serial.begin(9600);  // start serial for output
}



void loop()
{
  unsigned long t = bmp085.getTemperature();
  Serial.print("Temperature is: ");
  Serial.print(t/10);
  Serial.print('.');
  Serial.print(t%10);
  Serial.print(" °C, ");
  
  unsigned long p = bmp085.getPressure()/100;
  Serial.print("Pressure is: ");
  Serial.print(p/100);
  Serial.print('.');
  Serial.print(p%100);
  Serial.print(" hPa.");
  
  delay(1000);
}
